package inline.fs;

import java.io.*;

public interface FileAccessible
{
    public String[] list();
    public boolean open(String filename, int mode);
    public boolean close();
    public boolean isDirectory();
    public InputStream openInputStream();
    public OutputStream openOutputStream();
    public boolean create() throws Exception;
    public boolean delete() throws Exception;
    public boolean exists() throws Exception;
    public long fileSize() throws Exception;
    
}
