package inline.res;

import inline.res.*;
import inline.sys.*;

public class MetaFigures
{
	private final static byte COMMAND_END = -1;
	private final static byte COMMAND_FILL_RECT = 1;
	private final static byte COMMAND_FILL_TRI = 2;
	private final static byte COMMAND_FILL_ARC = 3;
	private final static byte COMMAND_COLOR = 4;
	private final static byte COMMAND_FILL_RECT_BOUND = 5;
	private final static byte COMMAND_COLOR_RAMP = 6;
	private final static byte COLOR_BG = -2;
	private final static byte COLOR_FG = -1;

	private final static byte[] figures =  {COMMAND_END,
				    COMMAND_FILL_RECT,25,25,55,55,COMMAND_END,
				    COMMAND_FILL_ARC,25,25,75,75,0,100,COMMAND_END,
				    COMMAND_FILL_TRI,25,20,80,50,25,80,COMMAND_END,
				    COMMAND_FILL_RECT,25,25,20,55,
				       COMMAND_FILL_RECT,60,25,20,55,COMMAND_END,
				    COMMAND_FILL_RECT,15,15,75,15,
				       COMMAND_FILL_RECT,30,40,45,10,
				       COMMAND_FILL_RECT,30,60,45,10,
				       COMMAND_FILL_RECT,30,80,45,10,COMMAND_END,
				    COMMAND_FILL_TRI,15,15,15,80,80,80,
				       COMMAND_FILL_RECT,55,15,30,30,
				       COMMAND_COLOR,COLOR_BG,
				       COMMAND_FILL_RECT,30,50,20,20,COMMAND_END,

COMMAND_FILL_RECT_BOUND,5,5,25,95,
	COMMAND_FILL_RECT_BOUND,25,5,75,20,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,
	COMMAND_FILL_RECT_BOUND,25,80,75,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,20,5,40,20,
	COMMAND_FILL_RECT_BOUND,40,5,60,80,
	COMMAND_FILL_RECT_BOUND,5,80,95,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,15,5,75,20,
	COMMAND_FILL_RECT_BOUND,75,5,95,50,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,
	COMMAND_FILL_RECT_BOUND,5,35,25,95,
	COMMAND_FILL_RECT_BOUND,25,80,95,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,75,20,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,
	COMMAND_FILL_RECT_BOUND,15,35,75,50,
	COMMAND_FILL_RECT_BOUND,5,80,75,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,25,50,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,25,50,
	COMMAND_FILL_RECT_BOUND,25,5,85,20,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,
	COMMAND_FILL_RECT_BOUND,75,35,95,95,
	COMMAND_FILL_RECT_BOUND,5,80,75,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,25,95,
	COMMAND_FILL_RECT_BOUND,25,5,85,20,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,
	COMMAND_FILL_RECT_BOUND,75,35,95,95,
	COMMAND_FILL_RECT_BOUND,25,80,75,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,75,20,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,25,95,
	COMMAND_FILL_RECT_BOUND,25,5,75,20,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,
	COMMAND_FILL_RECT_BOUND,25,80,75,95,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,COMMAND_END,
COMMAND_FILL_RECT_BOUND,5,5,25,50,
	COMMAND_FILL_RECT_BOUND,25,5,75,20,
	COMMAND_FILL_RECT_BOUND,25,35,75,50,
	COMMAND_FILL_RECT_BOUND,75,5,95,95,
	COMMAND_FILL_RECT_BOUND,15,80,75,95,COMMAND_END,  
COMMAND_FILL_RECT_BOUND,15,35,35,50,
	COMMAND_FILL_RECT_BOUND,15,65,35,80,COMMAND_END,
// 18, RARROW
COMMAND_FILL_TRI,50,20,80,50,50,80,
	COMMAND_FILL_RECT_BOUND, 15,35,50,65,COMMAND_END,
// 19, NEBULAS x 4 (Animation)	   
COMMAND_FILL_RECT_BOUND,15,0,20,5,
	COMMAND_FILL_RECT_BOUND,15,15,25,25,
	COMMAND_FILL_RECT_BOUND,30,30,45,45,
	COMMAND_FILL_RECT_BOUND,55,30,70,45,
	COMMAND_FILL_RECT_BOUND,75,10,85,20,
	COMMAND_FILL_RECT_BOUND,95,5,100,10,
	COMMAND_FILL_RECT_BOUND,45,50,60,65,
	COMMAND_FILL_RECT_BOUND,60,70,70,80,
	COMMAND_FILL_RECT_BOUND,65,95,70,100,COMMAND_END,
COMMAND_FILL_RECT_BOUND,30,0,35,5,
	COMMAND_FILL_RECT_BOUND,30,10,40,20,
	COMMAND_FILL_RECT_BOUND,35,25,50,40,
	COMMAND_FILL_RECT_BOUND,55,35,70,50,
	COMMAND_FILL_RECT_BOUND,75,30,85,40,
	COMMAND_FILL_RECT_BOUND,95,35,100,40,
	COMMAND_FILL_RECT_BOUND,35,50,50,65,
	COMMAND_FILL_RECT_BOUND,30,70,40,80,
	COMMAND_FILL_RECT_BOUND,15,85,20,90,COMMAND_END,
COMMAND_FILL_RECT_BOUND,45,0,50,5,
	COMMAND_FILL_RECT_BOUND,40,10,50,20,
	COMMAND_FILL_RECT_BOUND,40,25,55,40,
	COMMAND_FILL_RECT_BOUND,55,45,70,60,
	COMMAND_FILL_RECT_BOUND,80,55,90,65,
	COMMAND_FILL_RECT_BOUND,95,75,100,80,
	COMMAND_FILL_RECT_BOUND,30,50,45,65,
	COMMAND_FILL_RECT_BOUND,15,65,25,75,
	COMMAND_FILL_RECT_BOUND,0,65,5,70,COMMAND_END,
COMMAND_FILL_RECT_BOUND,0,35,5,40,
	COMMAND_FILL_RECT_BOUND,10,40,20,50,
	COMMAND_FILL_RECT_BOUND,25,40,40,55,
	COMMAND_FILL_RECT_BOUND,45,25,60,40,
	COMMAND_FILL_RECT_BOUND,55,10,65,20,
	COMMAND_FILL_RECT_BOUND,70,0,75,5,
	COMMAND_FILL_RECT_BOUND,50,45,65,60,
	COMMAND_FILL_RECT_BOUND,70,65,80,75,
	COMMAND_FILL_RECT_BOUND,80,90,85,95,COMMAND_END,
// 23, SPLITRECT
COMMAND_FILL_TRI,15,25,65,25,15,75,   // 50/50
	COMMAND_FILL_TRI, 85,30,85,80,35,80,COMMAND_END,   //50/50
// 24, LOCK
COMMAND_FILL_ARC,25,20,75,80,0,50,   // 50/50
	COMMAND_FILL_RECT_BOUND, 20,50,80,85,   //50/50
        COMMAND_COLOR,COLOR_BG,
	COMMAND_FILL_ARC,35,30,65,70,0,50,
	COMMAND_FILL_RECT_BOUND, 45,60,55,70,COMMAND_END
	    
				    };
	    
    public final static void make(SerialHashtable sht)
    {
	sht.put("_metafigs", figures);
    }
}



