package inline.ui;

import java.util.*;
import inline.*;
import inline.ui.ce.*;
import inline.sys.*;
import javax.microedition.lcdui.*;
import inline.ui.lo.*;

public class LockScreen extends HostCanvas
{
    private Clock cClock;

    public LockScreen(HostCanvas previous)
    {
        setFullScreenMode(true);
	setPrevious(previous);
	setBacklightInsensibility(true);
	
	createGUIElements();
	
	prePaint();
    }

    protected void createGUIElements()
    {
	Panel bil = getLayoutManager().addPane(Panel.ALIGN_CLIENT);

	cClock = new Clock(this);
	cClock.setType(Clock.TYPE_BIG);
	cClock.setProportions(36);
	cClock.setMargin(4);
	
	if (Base.getOptionIntDefault(Options.LOCKSCREEN_SECONDS,0)==1)
	{
	    cClock.setPrecise(true);
	}
	addElement(cClock,bil);

/*	Figure fMark = new Figure(this);
	fMark.setFigure(fMark.FIGURE_LOCK);
	addElement(fMark, bil, 0,0);*/
    
    }
  
}


