package inline;

import java.util.*;
import inline.sys.*;
import javax.microedition.rms.*;
import java.io.*;

public class Options extends SerialHashtableRMS
{
    private final static String RMS_OPTIONS_NAME = "Options";
    public final static String PLAYER_SHUFFLE = "shuffle";
    public final static String PLAYER_VOLUME = "volume";
    public final static String PLAYER_SUBDIRS = "subdirs";
    public final static String PLAYER_EXTENSIONS = "exts";
    public final static String PLAYER_EXTENSIONFLAGS = "extsfs";
    public final static String PLAYER_DIRECTORIES = "dirs";
    public final static String PLAYER_DIRECTORYFLAGS = "dirsfs";
    public final static String PLAYER_PLAYLISTMEMORY = "plmfl";
    public final static String PLAYER_LASTFN = "lastfn";
    public final static String PLAYER_MEMORYFIRST = "mem_first";
    public final static String PLAYER_BACKGROUND = "bgwork";
    public final static String PLAYER_AUTOSTART = "autostart";
    public final static String PLAYER_SAVESTATUSES = "savests";
    public final static String LOCKSCREEN_SECONDS = "ls_seconds";
    public final static String LOCKSCREEN_AUTO = "ls_auto";
    public final static String LOCKSCREEN_COLORS = "ls_colors";
    public final static String LOCKSCREEN_BACKLIGHT = "ls_backlight";
    public final static String PLAYER_FORWARDSTEP = "fwdstep";
    public final static String LCID = "lcid";
   
    public Options()
    {
	super(RMS_OPTIONS_NAME);
    }
    
    protected void initDefaults()
    {
	String[] defexts = {".mp3",".mid", ".3gp", ".amp", ".mp4", ".m4a", ".aac"};
	this.put(PLAYER_EXTENSIONS, defexts);
	
	String[] defdirs = {"/a/mobile/audio","/b/mobile/audio"};
	this.put(PLAYER_DIRECTORIES, defdirs);
	
	String plmfl = "/a/integral.plm";
	this.put(PLAYER_PLAYLISTMEMORY, plmfl);
    }
   
}
