package inline.sys;

public class Byte2UnicodeDecoder
{
    private static boolean decode = false;

    static 
    {
	decode = (Globalization.getSystemLCID() == Globalization.RUSSIAN_LCID);
    }
    
    public static String convert(String s)
    {
	if (!decode) return s;
	
        byte ba[] = s.getBytes();
	char ca[] = new char[ba.length];
        for(int i = 0; i < ba.length; i++)
        {
             ca[i] = DecodeB2UChar(ba[i]);
        }

        return new String(ca);
    }

    private static char DecodeB2UChar(int in)
    {
        if(in < 0) in += 256;
        char ch = (char)in;
        if(ch < 128)
            return ch;
        if(in == 168)
            return '\u0401';
        if(in == 184)
            return '\u0451';
        if(in >= 192 && in <= 255)
            return (char)(in + 848);
	
        return ch;
    }

}
