package inline.ui.le;

import javax.microedition.lcdui.*;

    public class SelectionStringElement extends StringElement
    {
	private int selstart;
	private int sellen;
        
        public SelectionStringElement(String txt)
        {
	    super(txt);
            text = txt;
	    selstart = 0;
	    sellen = 0;
        }
        
	public void SetSelection(int start, int length)
	{
	    selstart = start;
	    sellen = length;
	}
	
	public boolean ownerDraw()
	{
	    return true;
	}

	public void onDraw(Graphics g, inline.ui.ce.InList lst, int x, int y, int asc) 
	{
	    int fh = lst.getFontHeight();
	    
	    g.drawString(text, 1+x, y, 0);
	    
	    if (sellen>0)
	    {
		Font fnt = g.getFont();
		int x1 = fnt.substringWidth(text, 0,selstart);
		
		int x2 = 6;
		if (selstart+sellen<=text.length())
		{
		    x2 = fnt.substringWidth(text, selstart,sellen);
		}

		g.drawLine(1+x+x1,y+fh-1,1+x+x1+x2,y+fh-1);
		
	    }
	}
	
    }

